import request from '@/utils/request'


// 获取动态表头
export function getHeaderList(patentTypes,applicantTypes) {

  let params={};
  params.patentTypes=patentTypes;
  params.applicantTypes=applicantTypes;
  //console.log('patentTypes:'+patentTypes+',applicantTypes:'+applicantTypes)
  return request({
    url: '/report/rzlClassStatisticsInfo/getHeader',
    method: 'get',
    params: params
  })
}

// 获取查询年列表
export function getYearList() {
  return request({
    url: '/system/urPatentValid/getYearList',
    method: 'get'
  })
}
// 获取省市列表
export function getRegionList(data) {
  return request({
    url: '/system/bladeRegion/getDataList',
    method: 'post',
    data: data
  })
}

// 查询专利有效-分类统计列表
export function listRzlClassStatisticsInfo(query) {
  return request({
    url: '/report/rzlClassStatisticsInfo/list',
    method: 'get',
    params: query
  })
}

// 查询专利有效-分类统计详细
export function getRzlClassStatisticsInfo(id) {
  return request({
    url: '/report/rzlClassStatisticsInfo/' + id,
    method: 'get'
  })
}

// 新增专利有效-分类统计
export function addRzlClassStatisticsInfo(data) {
  return request({
    url: '/report/rzlClassStatisticsInfo',
    method: 'post',
    data: data
  })
}

// 修改专利有效-分类统计
export function updateRzlClassStatisticsInfo(data) {
  return request({
    url: '/report/rzlClassStatisticsInfo',
    method: 'put',
    data: data
  })
}

// 删除专利有效-分类统计
export function delRzlClassStatisticsInfo(id) {
  return request({
    url: '/report/rzlClassStatisticsInfo/' + id,
    method: 'delete'
  })
}
